Public Class Form1
    Private ColAdd As Boolean = False

    Private Sub DataGridView1_CellValidating(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellValidatingEventArgs) Handles DataGridView1.CellValidating
        If ColAdd Then
            'Create a New ComboBoxColumn Object, And Cast The dataGridView's Column To That
            Dim comboBoxColumn As DataGridViewComboBoxColumn = CType(DataGridView1.Columns(5), DataGridViewComboBoxColumn)
            'If In ComboBoxColumn
            If (e.ColumnIndex = comboBoxColumn.DisplayIndex) Then
                If (Not comboBoxColumn.Items.Contains(e.FormattedValue)) Then
                    'Add The Text Entered By The User
                    comboBoxColumn.Items.Add(e.FormattedValue)
                    'Make Sure Value Stays Displayed ( May HAve To Enter Value Twice )
                    DataGridView1.Rows(e.RowIndex).Cells(e.ColumnIndex).Value = comboBoxColumn.Items(comboBoxColumn.Items.Count - 1)
                End If
            End If
        End If
    End Sub

    Private Sub DataGridView1_EditingControlShowing(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewEditingControlShowingEventArgs) Handles DataGridView1.EditingControlShowing
        'If In ComboBox Column
        If (DataGridView1.CurrentCellAddress.X = DataGridView1.Columns(5).DisplayIndex) Then
            'Cast To Normal ComboBox
            Dim cb As ComboBox = CType(e.Control, ComboBox)
            If (cb IsNot Nothing) Then
                'Change Style To DropDown, To Allow For Data Entry
                cb.DropDownStyle = ComboBoxStyle.DropDown
            End If

        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim NewColumn As New DataGridViewComboBoxColumn() 'Declare new DGV CC

        With NewColumn 'Set Properties
            .DataPropertyName = "NewColumn" 'Name
            .HeaderText = "New Column" 'Heading
            .DropDownWidth = 160 'Width Of DropDown Box
            .Width = 90 'Display Width
            .MaxDropDownItems = 5 'How Many Items To Drop Down At A Time
            .FlatStyle = FlatStyle.Flat 'Appearance
            .Items.Add("1") 'Add Some Text Items
            .Items.Add("2")
            .Items.Add("3")
            .Items.Add("4")
            .Items.Add("5")
            .Items.Add("6")
            .Items.Add("7")
            .Items.Add("8")
            .Items.Add("9")
            .Items.Add("10")
        End With
        DataGridView1.Columns.Add(NewColumn) 'Add The Column
        ColAdd = True
    End Sub

End Class
